Subject: Re: [PATCH] Translate the tutorial to Brazillian Portuguese.

From: Jakub Narebski <[email-masked]>
Date: Mon, 29 Jun 2009 09:33:06 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

> Thadeu Lima de Souza Cascardo <[email-masked]> writes:

> > +Você também pode dar ao 'git-log' um "intervalo" de commits onde o
> > +primeiro não é necessariamente um ancestral do segundo; por exemplo, se
> > +as pontas dos ramos "stable" e "master" divergiram de um commit
> > +comum algum tempo atrás, então
> > +
> > +-------------------------------------
> > +$ git log stable..experimental
> > +-------------------------------------
 
> I am somewhat worried about the way how this translation will be
> maintained to keep in sync with the authoritative English version.
> Narita-san (CC'ed) who translated the document to Japanese did this:
> 
>     gittutorial(7)
>     ==============
>     // = gittutorial(7)
> 
>     NAME
>     ----
>     // == NAME
>     gittutorial - A tutorial introduction to git (for version 1.5.1 or newer)
>     // gittutorial - git チュートリアル (バージョン 1.5.1 以降用)
> 
> and the idea seems that without // (comments in AsciiDoc markup) it
> matches the English copy, and after passing sed -ne 's|^// ||p' it yields
> Japanese version.  Narita-san's translation can be seen at
> 
>     http://github.com/yasuaki/git-manual-jp.git/Documentation
> 
> if anybody is interested.
> 
> With this format, merging upstream changes may not work as smoothly as it
> could be, but at least you can check which part of your translation is
> based on a stale copy with something like this arrangement.
> 
> I am wondering if it would be a good idea to extend Narita-san's scheme so
> that we can keep a single source, perhaps like:
> 
>     = gittutorial(7)
>     // ja = gittutorial(7)
>     // pt = gittutorial(7)
>     == NAME
>     // ja = NAME
>     // pt = NAME
>     gittutorial - A tutorial introduction to git (for version 1.5.1 or ...
>     // ja gittutorial - git チュートリアル (バージョン 1.5.1 以降用)
>     // pt gittutorial - Um tutorial de introdução ao git (para versão 1....
> 
> Then whenever somebody makes a change to the English version, he can and
> should also mark the corresponding translated versions "stale", so that it
> is easier to spot by translators.

[...]
> I however am not sure how practical it would be to force people to look at
> the *.txt version of document, only 1/n lines of which is now readable by
> him (if you are like a typical American who understands only English ;-).
> 
> Thoughts?

Somebody here (or on #git channel) pointed that there is po4a[1-4]
project using gettext to translate documentation.

[1] http://po4a.alioth.debian.org/
[2] https://launchpad.net/po4a
[3] http://freshmeat.net/projects/po4a
[4] http://www.ohloh.net/p/po4a
-- 
Jakub Narebski
Poland
ShadeHawk on #git